#! /bin/sh

function proclevel {
# affiche le niveau de profondeur du processus passé en paramètre
# si pas de paramètre ($1), le PID du shell courant ($$)
local LEV=0 LIST='';
MPID=${1:-$$}

while ( ps -oppid -p $MPID &> /dev/null) ; 
do 
	LEV=$(( $LEV+1 )) ; 
	LIST=$MPID" "$LIST
	MPID=`ps -oppid -p$MPID |tail -1` ; 
done ; 
echo "$LEV ( $LIST ) "
}


function ireadlink {
# affiche une résolution itérative des liens symboliques
FILE=$1;
echo -n $FILE ;
while (readlink $FILE >/dev/null) ; 
do
	FILE=$(readlink $FILE)
	echo -n " -> $FILE"
done
echo ""
}
